summaryrefslogtreecommitdiff
path: root/netifd/files/sbin/devstatus
diff options
context:
space:
mode:
authorKarel Kočí <cynerd@email.cz>2020-05-28 11:29:34 +0200
committerKarel Kočí <cynerd@email.cz>2020-05-28 11:29:34 +0200
commitc606e009f2639c6b0518c9ad2bdf2b77c35ca6e5 (patch)
tree23efbf3e0456a78bb4a820037789477b8ab8881d /netifd/files/sbin/devstatus
parent68bf801ffbda2868703db98cfb2625232da9535c (diff)
downloadopenwrt-personal-pkgs-c606e009f2639c6b0518c9ad2bdf2b77c35ca6e5.tar.gz
openwrt-personal-pkgs-c606e009f2639c6b0518c9ad2bdf2b77c35ca6e5.tar.bz2
openwrt-personal-pkgs-c606e009f2639c6b0518c9ad2bdf2b77c35ca6e5.zip
Add netifd with patch to fix service restart
Diffstat (limited to 'netifd/files/sbin/devstatus')
-rwxr-xr-xnetifd/files/sbin/devstatus12
1 files changed, 12 insertions, 0 deletions
diff --git a/netifd/files/sbin/devstatus b/netifd/files/sbin/devstatus
new file mode 100755
index 0000000..3c35b26
--- /dev/null
+++ b/netifd/files/sbin/devstatus
@@ -0,0 +1,12 @@
+#!/bin/sh
+. /usr/share/libubox/jshn.sh
+DEVICE="$1"
+
+[ -n "$DEVICE" ] || {
+ echo "Usage: $0 <device>"
+ exit 1
+}
+
+json_init
+json_add_string name "$DEVICE"
+ubus call network.device status "$(json_dump)"